Upgraded httpclient from 4.1.1 to 4.2.2 #176

Merged
merged 2 commits into from Dec 17, 2012

4 participants

@jplock

I'm starting a project where I'm using Riak inside of a Dropwizard service. Since the core of Dropwizard has been upgraded to httpclient 4.2.2, I was wondering if you could upgrade the riak-client to 4.2.2 as well.

All of the unit tests continue to pass.

Thanks!

@guidomedina

HTTP client 4.2.2 was released which also fixes #159 as mentioned in there. So by upgrading to this version the workaround can be eliminated. It should be a drop-in replacement (Shouldn't affect any code using HTTP components 4.1+)

<dependency>
   <groupId>org.apache.httpcomponents</groupId>
   <artifactId>httpclient</artifactId>
   <version>4.2.2</version>
</dependency>
@broach

That's for the PR! This will be reviewed and included in the next release if there's no issues.

@jplock

that's great, any idea on timing?

@michaelklishin

I'd also like to express interest in seeing a release soon. Welle 1.4 is waiting on it.

@broach broach merged commit 8806925 into basho:master Dec 17, 2012

1 check passed

Details default The Travis build passed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment